# Envelope
Python module to extract the envelope of signals.

More information in this [paper](https://arxiv.org/abs/2009.02860)

# Functions

This module implements 3 functions:

**read_wav("path/to/mono/signal.wav")**, that returns a tuple (W, fps), where W is a numpy array and fps is an int with the value of the frame rate of the file.

**save_wav(signal, path = "test.wav", fps = 44100)**, that saves a numpy array as a .wav file

**get_frontiers(W)**, that returns a tuple (pos_idxs, neg_idxs) with the indexes of the positive and negative frontiers of a numpy array representing the samples of a discrete function.
If this function is called from a compatible setup (currently, Windows 64bit), it computes the frontiers faster via specialized native code. A fall-back version in pure Python is also provided, in which case a warning is printed indicated that a slower mode is being used. In both cases, the usage is the same.